"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class GenerateEmail {
    constructor(user, records, showTempoDate = false) {
        this.showDate = showTempoDate;
        this.summaryItems = records;
        this.user = user;
    }
    buildWorklog() {
        let worklogText = "";
        this.summaryItems.forEach((summaryItem) => {
            worklogText += `\n${summaryItem.getJiraIssue().getSummary()} (${summaryItem.getJiraIssue().getIssueKey()}): ${summaryItem.getJiraIssue().getIssueUrl()}\n`;
            summaryItem.getWorklogs().forEach((worklog) => {
                worklogText += this.generateTempoIssue(worklog);
            });
        });
        return worklogText.replace(/^\s+|\s+$/g, '');
    }
    generateTempoIssue(worklog) {
        const date = this.showDate ? `(${worklog.getDate()})` : "";
        return `\t\u2022 ${date} [${worklog.getTimeSpentMinutes()}m/${worklog.getTimeSpentHours()}h] - ${worklog.getDescription()}\n`;
    }
    generateEmail() {
        let body = `Hi{{recipient_name}},
        
I have worked on:

{{worklogs}}

Thanks,
{{sender_name}}`;
        body = body.replace("{{recipient_name}}", "");
        body = body.replace("{{worklogs}}", this.buildWorklog());
        body = body.replace("{{sender_name}}", this.user.getDisplayName());
        return body;
    }
}
exports.default = GenerateEmail;
//# sourceMappingURL=generate-email.js.map